﻿@model IEnumerable<App.Web.Models.Banco>

@{
    ViewData["Title"] = "Index";
}

<h2>Listado de entidades financieras</h2>

<p>
    <a asp-action="Create" class="btn btn-primary btn-sm">Nuevo</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.BancoId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Direccion)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CreatedBy)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CreatedOn)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ModifiedBy)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ModifiedOn)
            </th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.BancoId)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Direccion)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CreatedBy)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CreatedOn)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ModifiedBy)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ModifiedOn)
                </td>
                @*<td>
                    @Html.DisplayFor(modelItem => item.Estado)
                </td>*@
                <td>
                    @Html.ActionLink("Editar", "Edit", new { id = item.BancoId }, new { @class = "btn btn-primary btn-sm" })
                </td>
                <td>
                    @Html.ActionLink("Detalle", "Details", new { id = item.BancoId }, new { @class = "btn btn-info btn-sm" })
                </td>
                <td>
                    @Html.ActionLink("Eliminar", "Delete", new { id = item.BancoId }, new { @class = "btn btn-danger btn-sm" })
                </td>
            </tr>
        }
    </tbody>
</table>
